#include <avr/io.h>      // this contains all the IO port definitions


// This function basically wastes time
void delay_ms(long int ms) {
  unsigned long int timer;

  while (ms != 0) {
    // this number is dependant on the clock frequency
    for (timer=0; timer <= 4200; timer++);
    ms--;
  }
}

int main(void) {

  DDRD = 0x7F;       // set all 7 pins on port D to outputs
  DDRB = 0x1;        // set pin #1 of port B to output
  
  PORTB = 0x1;       // set pin B1 high (turn on LED)
  PORTD = 0x7F;      // set all the pins on port D high (turn on those LEDs)

  while (1) {
    PORTB = 0x0;      // turn on LEDs #2,4,6,8
    PORTD = 0x55;

    delay_ms(500);    // delay half a second

    PORTB = 0x1;      // turn on LEDs #1,3,5,7
    PORTD = 0x2A;

    delay_ms(500);    // delay half a second
  }
}
